AbstractSymbolList.EditScreener (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.AbstractSymbolList.EditScreener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class AbstractSymbolList.EditScreener

    java.lang.Object
      org.biojava.utils.ChangeForwarder
          org.biojava.bio.symbol.AbstractSymbolList.EditScreener

All Implemented Interfaces:
  EventListener, ChangeListener

Direct Known Subclasses:
  AbstractSymbolList.EditTranslater

Enclosing class:
  AbstractSymbolList

    public class AbstractSymbolList.EditScreener

extends ChangeForwarder

This adapter screens all edit events to see if they overlap with a window of interest. If they do, then a new edit event is built for the overlapping region and pased on to all listeners.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.utils.ChangeForwarder
`ChangeForwarder.Retyper`

Nested classes/interfaces inherited from interface org.biojava.utils.ChangeListener
`ChangeListener.AlwaysVetoListener, ChangeListener.ChangeEventRecorder, ChangeListener.LoggingListener`

Field Summary
`protected int` | `max`
`protected int` | `min`

Fields inherited from interface org.biojava.utils.ChangeListener
`ALWAYS_VETO, LOG_TO_OUT`

Constructor Summary
`AbstractSymbolList.EditScreener(Object source, ChangeSupport cs, int min, int max)`

Method Summary
`protected ChangeEvent` | `generateEvent(ChangeEvent ce)` Return the new event to represent the originating event ce.

Methods inherited from class org.biojava.utils.ChangeForwarder
`changeSupport, getSource, postChange, preChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### min

    protected final int min

### max

    protected final int max

Constructor Detail

### AbstractSymbolList.EditScreener

    public AbstractSymbolList.EditScreener(Object source,
                                           ChangeSupport cs,
                                           int min,
                                           int max)

Method Detail

### generateEvent

    protected ChangeEvent generateEvent(ChangeEvent ce)

  Description copied from class: `ChangeForwarder`

  Return the new event to represent the originating event ce.

  The returned ChangeEvent is the event that will be fired, and should be built from information in the original event. If it is null, then no event will be fired.

  The default implementation just constructs a ChangeEvent of the same type that chains back to ce.

  Overrides:
    `generateEvent` in class `ChangeForwarder`
  Parameters:
    `ce` - the originating ChangeEvent
  Returns:
    a new ChangeEvent to pass on, or null if no event should be sent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD